Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::copy_fn Struct Reference
Algorithms
Inheritance diagram for ranges::v3::copy_fn:

## Public Member Functions
template<typename I , typename S , typename O , requires = ( InputIterator<I>() && Sentinel<S, I>() && WeaklyIncrementable<O>() && IndirectlyCopyable<I, O>() )>
tagged_pair< tag::in(I), tag::out(O)> | operator() (I begin, S end, O out) const
template<typename Rng , typename O , typename I = iterator_t<Rng>, requires = ( InputRange<Rng>() && WeaklyIncrementable<O>() && IndirectlyCopyable<I, O>() )>
tagged_pair< tag::in(safe_iterator_t< Rng >), tag::out(O)> | operator() (Rng &&rng, O out) const
Public Member Functions inherited from ranges::v3::aux::copy_fn
template<typename T , requires = (Constructible<detail::decay_t<T>, T>())>
detail::decay_t< T > | operator() (T &&t) const